Begin OAuth connection
Start an OAuth attempt and return the authorization details.
POST
/api/integration/{integrationID}/connect/oauthPath parameters
integrationIDstringrequiredQuery parameters
locationobject | anyRequest body
requiredapplication/jsonmethodIDstringrequiredinputsobjectrequiredlabelstring | anyShow propertiesHide properties
Any of:
string
stringany
anyResponses
200Success
locationLocation.InforequiredShow propertiesHide properties
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequireddataIntegration.AttemptrequiredShow propertiesHide properties
attemptIDstringrequiredurlstringrequiredinstructionsstringrequiredmodestringrequiredAllowed:
autocodetimeobjectrequiredShow propertiesHide properties
creatednumber | string | stringrequiredShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringexpiresnumber | string | stringrequiredShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
string400InvalidRequestError
Any of:
InvalidRequestError1
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
anyInvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X POST "/api/integration/string/connect/oauth" \
-H "Content-Type: application/json" \
-d '{
"methodID": "string",
"inputs": {},
"label": "string"
}'const response = await fetch("/api/integration/string/connect/oauth", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"methodID": "string",
"inputs": {},
"label": "string"
})
});import requests
response = requests.post(
"/api/integration/string/connect/oauth",
headers={
"Content-Type": "application/json"
},
json={
"methodID": "string",
"inputs": {},
"label": "string"
},
)Response
{
"location": {
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
},
"data": {
"attemptID": "string",
"url": "string",
"instructions": "string",
"mode": "auto",
"time": {
"created": 0,
"expires": 0
}
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}